OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
airport_widget.h File Reference

Types related to the airport widgets. More...

Go to the source code of this file.

## Enumerations
enum | AirportToolbarWidgets { WID_AT_AIRPORT, WID_AT_DEMOLISH }
| Widgets of the BuildAirToolbarWindow class. More...
enum | AirportPickerWidgets { WID_AP_CLASS_DROPDOWN, WID_AP_AIRPORT_LIST, WID_AP_SCROLLBAR, WID_AP_LAYOUT_NUM, WID_AP_LAYOUT_DECREASE, WID_AP_LAYOUT_INCREASE, WID_AP_AIRPORT_SPRITE, WID_AP_EXTRA_TEXT, WID_AP_BOTTOMPANEL, WID_AP_COVERAGE_LABEL, WID_AP_BTN_DONTHILIGHT, WID_AP_BTN_DOHILIGHT }
| Widgets of the BuildAirportWindow class. More...

## Detailed Description

Types related to the airport widgets.

Definition in file airport_widget.h.

## Enumeration Type Documentation

enum AirportPickerWidgets

Widgets of the BuildAirportWindow class.

Enumerator:

  WID_AP_CLASS_DROPDOWN | Dropdown of airport classes.
  WID_AP_AIRPORT_LIST | List of airports.
  WID_AP_SCROLLBAR | Scrollbar of the list.
  WID_AP_LAYOUT_NUM | Current number of the layout.
  WID_AP_LAYOUT_DECREASE | Decrease the layout number.
  WID_AP_LAYOUT_INCREASE | Increase the layout number.
  WID_AP_AIRPORT_SPRITE | A visual display of the airport currently selected.
  WID_AP_EXTRA_TEXT | Additional text about the airport.
  WID_AP_BOTTOMPANEL | Panel at the bottom.
  WID_AP_COVERAGE_LABEL | Label if you want to see the coverage.
  WID_AP_BTN_DONTHILIGHT | Don't show the coverage button.
  WID_AP_BTN_DOHILIGHT | Show the coverage button.

Definition at line 22 of file airport_widget.h.

enum AirportToolbarWidgets

Widgets of the BuildAirToolbarWindow class.

Enumerator:

  WID_AT_AIRPORT | Build airport button.
  WID_AT_DEMOLISH | Demolish button.

Definition at line 16 of file airport_widget.h.